UNRAR-FREE(1)

NAME
unrar-free - extract files from rar archives

SYNOPSIS

unrar-free [-xtfP?V] [--print] [--extract] [--list] [--force] [--extract-newer] [--extract-no-paths] [--password] [--help] [--usage] [--version] ARCHIVE [FILE ...] [DESTINATION]

DESCRIPTION

unrar-free is a program for extracting files from rar archives.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-p,  --print
    Print archive files to stdout.

-x,  --extract
    Extract files from archive (default).

-t,  --list
    List files in archive.

-f,  --force
    Overwrite files when extracting.

--extract-newer
    Only extract newer files from the archive.

--extract-no-paths
    Don't create directories while extracting.

-i,  --outfile
    File to print the messages to (nul is short for /dev/null, err is short for /dev/stderr).

-P,  --password
    Decrypt archive using a password.

-?,  --help
    Show program help.

--usage
    Show short program usage message.

-V,  --version
    Show version of program.

NON-FREE UNRAR COMPATIBLE SYNOPSIS

unrar-free [pelvx] [-ep] [-o+] [-o-] [-pPassword] [-u] [--] ARCHIVE [FILE ...] [DESTINATION]

This syntax should only be used in front-end programs which use the non-free unrar as a back-end. It is recommended to use this program by GNU command line syntax.

NON-FREE UNRAR COMPATIBLE OPTIONS

e   Print archive files to stdout.

e   Extract files from archive without full path.

l   List files in archive.

v   Verbosely list files in archive.

x   Extract files from archive with full path.

-ep Don't create directories while extracting.

-inul
    Disable all messages.

-ierr
    Print all messages on stderr.

-o+ Overwrite files when extracting.

-o- Don't overwrite files when extracting.

-pPassword
    Decrypt archive using the password Password.

-u  Only extract newer files from the archive.

-y  Assume Yes on all queries. Ineffective.

--  Disable further switch processing. Any switch after the -- is treated as filename or destination.

AUTHORS

This manual page was written by Niklas Vainio <niklas.vainio@iki.fi>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2, or any later version published by the Free Software Foundation.